<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php

$module_directory     = 'preset_path_manager';
$module_name          = 'Preset Path Manager';
$module_function      = 'tool';
$module_version       = '1.06.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'defines preset path to be used in various modules';
$module_guid          = '710b5004-5b13-4efe-ae8d-df8cedfb115b';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061';


/*
Changelog
------------------------------------------------------------------------------------------------------
1.06.000		Sat Dec 17 16:36:51 UTC 2016		WolfgangStuder		various internal allignments and clean ups
1.05.000		Wed Dec  7 16:49:06 UTC 2016		WolfgangStuder		...
1.04.000		Mon Dec  5 10:22:01 UTC 2016		WolfgangStuder		...
1.03.000		Sun Dec  4 16:57:20 UTC 2016		WolfgangStuder		...
1.02.000		Fri Dec  2 20:28:29 UTC 2016		WolfgangStuder		various smaller layout updates
1.01.000		Tue Nov 29 19:29:47 UTC 2016		WolfgangStuder		some smaller fixes
1.00.000		Fri Nov 18 18:50:45 UTC 2016		WolfgangStuder		first public release
0.01.000		Fri Nov 18 09:52:23 UTC 2016		WolfgangStuder		...
*/

?>
