<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// define path of module template files
// define path of backend/frontend template files
	if ( isset( $twigTemplatePath ) == TRUE ):
		// use specific path for the templates
		$path_twigModulePath   = $twigTemplatePath;
		$path_twigTemplatePath = $twigTemplatePath;
	else:
		$path_twigModulePath   = $path_modulePath . $path_templateFolder;
		$path_twigTemplatePath = $path_templatePath . DIRECTORY_SEPARATOR . 'templates' . DIRECTORY_SEPARATOR;
	endif;


/*
 *	Try to get the template-engine.
 *
 *	Make your basic settings for your module-backend interface(-s) here.
 *
 */
	global $parser, $loader;

	if ( isset( $parser ) == FALSE ):
		require_once( LEPTON_PATH . '/modules/lib_twig/library.php' );
	endif;
	require_once (LEPTON_PATH . '/modules/lib_twig/classes/class.twig_utilities.php');

// Prepends a path where templates are stored
	$loader->prependPath( $path_twigModulePath, $module_directory );

// initialize twig utilities
	$twig_util = new twig_utilities( $parser, $loader, $path_twigModulePath, $path_twigTemplatePath );
	$twig_util->template_namespace = $module_directory;

// define used namespace
	$twig_modul_namespace = '@' . $module_directory . DIRECTORY_SEPARATOR;

?>
