<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// titel
	$MOD_PRESET_PATH_MANAGER['H2']						= 'Preset Path maintainance';

// field names
	$MOD_PRESET_PATH_MANAGER['FLD']['path_code']			= 'Path Code';
	$MOD_PRESET_PATH_MANAGER['FLD']['path']				= 'Path';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_PRESET_PATH_MANAGER['HLP']['path_code']			= 'Path Code is an abbreviation for the path to uniqly identify the path. It will be shown as part of the preset name.';
	$MOD_PRESET_PATH_MANAGER['HLP']['path']				= 'Path to the Preset';

// errors
	$MOD_PRESET_PATH_MANAGER['ERROR']['delete_forbidden']= 'Path is still in use. Delete is not allowed!';

// info text
	$MOD_PRESET_PATH_MANAGER['INFO']['path_code']		= 'Please define a path code before you save !';

// alerts
	$MOD_PRESET_PATH_MANAGER['ALERT']['no_path']			= 'No preset path found.<br/><br />'
															. 'Either no preset has been loaded ...<br />'
															. 'Or the presets have been installed outside of the defined root path ...<br />'
															. 'Or all available preset path have already been loaded!';

// JS dialog titles
	$MOD_PRESET_PATH_MANAGER['DIALOG']['restore_row']	= 'Restore Path';
	$MOD_PRESET_PATH_MANAGER['DIALOG']['delete_row']		= 'Delete Path';

?>
