<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// loop over input array
	if ( count( $data ) > 0 ):
		foreach ( $data as $key => $items ):
			$path      = $items[ 'path' ];
			$path_code = $items[ 'path_code' ];

			// check for insert or update
			$query = 'SELECT count(1)'
					. ' FROM ' . TABLE_PREFIX . 'mod_preset_path'
					. ' WHERE `path` = "' . $path . '"';
			$count = path_execute_query( __FUNCTION__, $query, 'get_one' );

			// do insert
			if ( $count == 0 ):
				$query = 'INSERT INTO ' . TABLE_PREFIX . 'mod_preset_path'
									. '( '
									. '  `created_when`'
									. ', `modified_by`'
									. ( isset( $path_code )	== TRUE ? ', `path_code`'	: '' )
									. ', `status`'
									. ( isset( $path )		== TRUE ? ', `path`'		: '' )
									. ' )'
								. ' VALUES '
									. '( '
									. ' CURRENT_TIMESTAMP'
									. ', ' . $admin->get_user_id()
									. ( isset( $path_code )	== TRUE ? ', "' . $path_code . '"'	: '' )
									. ', "NEW"'
									. ( isset( $path )			== TRUE ? ', "' . $path . '"'		: '' )
									. ')'
									;

			// do update
			else:
				$query = 'UPDATE ' . TABLE_PREFIX . 'mod_preset_path'
						. ' SET '
						. '  `modified_by`		= ' . $admin->get_user_id()
						. ', `version_number`	= `version_number` + 1'
						. ( isset( $path_code )	== TRUE ? ', `path_code`	= "' . $path_code . '"'	: '' )
						. ', `status`			= "MODIFIED"'
						. ( isset( $path )		== TRUE ? ', `path`			= "' . $path . '"'		: '' )
						;
			endif;

			// process the query
			$status = path_execute_query( __FUNCTION__, $query, 'try_catch' );
			if ( $status == FALSE ):
				break;
			endif;
		endforeach;
	endif;

?>
